> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/bnb-netlistening",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# net_listening | BNB Chain

BNB API method that returns a boolean value indicating whether the client is currently listening for network connections or not. The `net_listening` method can be useful in many scenarios where it is important to monitor the status of an Ethereum client's network connection to ensure it works properly.

<Check>
  **Get your own node endpoint today**

  [Start for free](https://console.chainstack.com/) and get your app to production levels immediately. No credit card required.

  You can sign up with your GitHub, X, Google, or Microsoft account.
</Check>

## Parameters

* `none`

## Response

* `boolean` — a boolean value that indicates whether a node is actively seeking peer connections. `true` if the client is actively listening for connections, `false` if not.

## `net_listening` code examples

<CodeGroup>
  ```javascript web3.js theme={"system"}
  const { Web3 } = require("web3");
  const NODE_URL = "CHAINSTACK_NODE_URL";
  const web3 = new Web3(NODE_URL);

  async function isListening() {
    const listens = await web3.eth.net.isListening()
    console.log(listens);
  }

  isListening();
  ```

  ```javascript ethers.js theme={"system"}
  const ethers = require('ethers');
  const NODE_URL = "CHAINSTACK_NODE_URL";
  const provider = new ethers.JsonRpcProvider(NODE_URL);

  const isListening = async () => {
  const listen = await provider.send("net_listening");
  console.log(listen);
  }

  isListening()
  ```

  ```python web3.py theme={"system"}
  from web3 import Web3  
  node_url = "CHAINSTACK_NODE_URL"
  web3 = Web3.HTTPProvider(node_url)

  is_listening = web3.provider.make_request('net_listening', [])
  print(is_listening)
  ```
</CodeGroup>

## Use case

A method like `net_listening` can be used to monitor the network status of the BNB node a developer connects to. Imagine a blockchain explorer where users can search for transactions, addresses, and other information on the Ethereum blockchain. To provide accurate information to its users, the website needs to be able to monitor the current status of its connection.


## OpenAPI

````yaml /openapi/bnb_node_api/net_listening.json POST /35848e183f3e3303c8cfeacbea831cab
openapi: 3.0.0
info:
  title: BNB Node API
  version: 1.0.0
  description: This is an API for interacting with an BNB node.
servers:
  - url: https://bsc-mainnet.core.chainstack.com
security: []
paths:
  /35848e183f3e3303c8cfeacbea831cab:
    post:
      tags:
        - Update
      summary: net_listening
      operationId: listening
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  default: 1
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: net_listening
                params:
                  type: array
                  default: []
      responses:
        '200':
          description: >-
            The boolean value that indicates whether or not a node is currently
            actively seeking peer connections.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: string

````